LibreOffice: XSQLInput Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSQLInput Interface Referencepublished

represents an input stream that contains a stream of values representing an instance of a SQL structured or distinct type. More...

`import <XSQLInput.idl;`

Inheritance diagram for XSQLInput:

## Public Member Functions
string | readString () raises (SQLException)
| reads the next attribute in the stream as string.
boolean | readBoolean () raises (SQLException)
| reads the next attribute in the stream as boolean.
byte | readByte () raises (SQLException)
| reads the next attribute in the stream as byte.
short | readShort () raises (SQLException)
| reads the next attribute in the stream as short.
long | readInt () raises (SQLException)
| reads the next attribute in the stream as long.
hyper | readLong () raises (SQLException)
| reads the next attribute in the stream as hyper.
float | readFloat () raises (SQLException)
| reads the next attribute in the stream as float.
double | readDouble () raises (SQLException)
| reads the next attribute in the stream as double.
sequence< byte > | readBytes () raises (SQLException)
| reads the next attribute in the stream as sequence of bytes.
com::sun::star::util::Date | readDate () raises (SQLException)
| reads the next attribute in the stream as date.
com::sun::star::util::Time | readTime () raises (SQLException)
| reads the next attribute in the stream as time.
com::sun::star::util::DateTime | readTimestamp () raises (SQLException)
| reads the next attribute in the stream as datetime.
com::sun::star::io::XInputStream | readBinaryStream () raises (SQLException)
| reads the next attribute in the stream as sequence of bytes.
com::sun::star::io::XInputStream | readCharacterStream () raises (SQLException)
| reads the next attribute in the stream as a Unicode string.
any | readObject () raises (SQLException)
| returns the datum at the head of the stream as an any.
XRef | readRef () raises (SQLException)
| reads a REF(&lt;structured-type&gt;) from the stream.
XBlob | readBlob () raises (SQLException)
| reads a BLOB from the stream.
XClob | readClob () raises (SQLException)
| reads a CLOB from the stream.
XArray | readArray () raises (SQLException)
| reads an array from the stream.
boolean | wasNull () raises (SQLException)
| determines whether the last value read was null.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents an input stream that contains a stream of values representing an instance of a SQL structured or distinct type.

This interface, used only for custom mapping, is used by the driver behind the scenes, and a programmer never directly invokes `SQLInput` methods.

When the method `getObject` is called with an object of a service implementing the interface `SQLData` , the SDBC driver calls the method com::sun::star::sdbc::XSQLData::getSQLType() to determine the SQL type of the user-defined type (UDT) being custom mapped. The driver creates an instance of com::sun::star::sdbc::XSQLInput , populating it with the attributes of the UDT. The driver then passes the input stream to the method com::sun::star::sdbc::XSQLData::readSQL() , which in turn calls the `XSQLInput.readXXX` methods in its implementation for reading the attributes from the input stream.

## Member Function Documentation

## ◆ readArray()

XArray readArray | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads an array from the stream.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readBinaryStream()

com::sun::star::io::XInputStream readBinaryStream | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as sequence of bytes.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readBlob()

XBlob readBlob | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads a BLOB from the stream.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readBoolean()

boolean readBoolean | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as boolean.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readByte()

byte readByte | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as byte.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readBytes()

sequence< byte > readBytes | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as sequence of bytes.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readCharacterStream()

com::sun::star::io::XInputStream readCharacterStream | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as a Unicode string.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readClob()

XClob readClob | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads a CLOB from the stream.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readDate()

com::sun::star::util::Date readDate | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as date.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readDouble()

double readDouble | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as double.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readFloat()

float readFloat | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as float.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readInt()

long readInt | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as long.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readLong()

hyper readLong | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as hyper.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readObject()

any readObject | ( |  | ) |
raises | ( | SQLException
| ) |  |

returns the datum at the head of the stream as an any.

The actual type of the any returned is determined by the default type mapping, and any customizations present in this stream's type map.

A type map is registered with the stream by the SDBC driver before the stream is passed to the application.

When the datum at the head of the stream is a SQL NULL, the method returns `VOID`. If the datum is a SQL structured or distinct type, it determines the SQL type of the datum at the head of the stream, constructs an object of the appropriate service, and calls the method com::sun::star::sdbc::XSQLData::readSQL() on that object, which reads additional data from the stream using the protocol described for that method.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readRef()

XRef readRef | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads a REF(&lt;structured-type&gt;) from the stream.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readShort()

short readShort | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as short.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readString()

string readString | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as string.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readTime()

com::sun::star::util::Time readTime | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as time.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ readTimestamp()

com::sun::star::util::DateTime readTimestamp | ( |  | ) |
raises | ( | SQLException
| ) |  |

reads the next attribute in the stream as datetime.

Returns
  the attribute; if the value is SQL NULL, return null.

Exceptions

  SQLException | if a database access error occurs.

## ◆ wasNull()

boolean wasNull | ( |  | ) |
raises | ( | SQLException
| ) |  |

determines whether the last value read was null.

Returns
  `TRUE` if the most recently gotten SQL value was null; otherwise, `FALSE`

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XSQLInput.idl